{% import "bootstrap/utils.html" as utils %}
{% extends "base.html" %}
{% block body %}
    <div class="container">
        {{ utils.flashed_messages() }}
        <div class="card shadow mb-4">
            <!-- Card Header - Dropdown -->
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-center">
                <h1>{{ title }}</h1>
            </div>
            <div class="card-body">
                {% if items %}
                    <table class="table table-striped table-bordered">
                        <thead>
                        <tr>
                            <th> Name</th>
                            <th> Description</th>
                            <th> Price</th>
                            <th> Edit</th>
                            <th> Delete</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for item in items %}
                            <tr>
                                <td> {{ item.name }} </td>
                                <td> {{ item.description }} </td>
                                <td> €{{ item.price }} </td>
                                <td>
                                    <a href="{{ url_for('admin.edit_item', id=item.id) }}">
                                        <i class="fa fa-pencil"></i> Edit
                                    </a>
                                </td>
                                <td>
                                    <a href="{{ url_for('admin.delete_item', id=item.id) }}">
                                        <i class="fa fa-trash"></i> Delete
                                    </a>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                {% else %}
                    <div style="text-align: center">
                        <h3> No Items have been added. </h3>
                        <hr>
                    </div>
                {% endif %}
                <div style="text-align: center">
                    <a href="{{ url_for('admin.add_item') }}" class="btn btn-default btn-lg">
                        <i class="fa-solid fa-plus"></i>
                        Add Item
                    </a>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
